<?php
$connect = mysqli_connect("localhost", "root", "", "advance_search");
if (isset($_POST["submit"])) {
    if (!empty($_POST["search"])) {
        $query = str_replace(" ", "+", $_POST["search"]);
        header("location:title.php?search=" . $query);
    }
}
?>  
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <title>Advanced Search in PHP with Source Code</title>
        <meta content="" name="description">
        <meta content="" name="keywords">

        <!-- Favicons -->
        <link href="../logo/binlogo2.jpg" rel="icon">

        <!-- Google Fonts -->
        <link href="https://fonts.gstatic.com" rel="preconnect">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

        <!-- Vendor CSS Files -->
        <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
        <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
        <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.snow.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.bubble.css" rel="stylesheet">
        <link href="assets/vendor/simple-datatables/style.css" rel="stylesheet">

        <!-- Template Main CSS File -->
        <link href="assets/css/style.css" rel="stylesheet">

        <!-- =======================================================
        * Template Name: NiceAdmin - v2.1.0
        * Template URL: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/
        * Author: BootstrapMade.com
        * License: https://bootstrapmade.com/license/
        ======================================================== -->
    </head>
    <style type="text/css">
        #notice{
            font-size: 13px; 
            color:gray;
        }
        #welcome{
            font-weight: bolder;
            color: black;
        }

    </style>
    <body>
        <!-- ======= Header ======= -->
        <div style="margin-bottom: 80px;">
            
        </div>   

        <section class="section dashboard container">
            <form method="post" style="margin-bottom: 10px;">

                <div class="form-group">
                    <nav class="header-nav ms-auto">
                        <ul class="d-flex align-items-center" style="margin-right: 30px;">

                            <li class="nav-item">
                                <input style="float: left;" type="text" name="search" value="<?php if (isset($_GET["search"])) echo $_GET["search"]; ?>" placeholder="search title..." class="form-control col-lg-4">
                            </li> 
                            &nbsp
                            <input type="submit" name="submit" class="btn btn-primary btn-sm btn-fill" value="Advance Search" />

                            &nbsp
                            <li class="nav-item">
                                <a href="title.php " class="btn btn-warning btn-sm btn-fill" style="margin-right: 5px">Refresh</a>
                            </li>
                        </ul>
                    </nav><!-- End Icons Navigation -->
                </div>
            </form>
             <div style="border-left: 2px solid whitesmoke; margin-bottom: 10px;" class="form-group">
                    </div>

            <div class="row">
                <div class="col-lg-12">

                    <div class="card">
                        <div class="card-body">
                            <?php if (isset($_SESSION['message'])): ?>
                                <div class="alert alert-<?= $_SESSION['msg_type'] ?> alert-dismissible fade show col-lg-12 mt-1" role="alert">
                                    <i class="bi bi-check-circle me-1"></i>

                                    <?php
                                    echo $_SESSION['message'];
                                    unset($_SESSION['message']);
                                    ?>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                            <?php endif; ?>
                            <h5 class="card-title">List of Titles</h5>
                            <!-- Table with stripped rows -->


                            <div class="table-responsive">
                                <table class="table table-borderless table-hover table-striped">

                                    <tbody>
                                        <?php
                                        if (isset($_GET["search"])) {
                                            $condition = '';
                                            $query = explode(" ", $_GET["search"]);
                                            foreach ($query as $text) {
                                                $condition .= "title LIKE '%" . mysqli_real_escape_string($connect, $text) . "%' OR ";
                                            }
                                            $condition = substr($condition, 0, -4);
                                            $sql_query = "SELECT * FROM upload WHERE " . $condition;
                                            $result = mysqli_query($connect, $sql_query);
                                            if (mysqli_num_rows($result) > 0) {
                                                while ($row = mysqli_fetch_array($result)) {
                                                    $img = $row['fname'];
                                                    $str = $row['description'];
                                                    $abs = substr($str, 0, 100) . "...";
                                                     $id_title = $row['id'];
                                                    ?>
                                                    <tr>


                                                        <td> 
                                                            <p style="color: blue;">
                                                                <?php echo $row["title"] ?>
                                                            </p>  
                                                            <p style="font-size: 11px; color: gray;"><?php echo $abs ?></p>
                                                        </td>
                                                    </tr>

                                                    <?php
                                                }
                                            }
                                        } else {
                                            $result = $connect->query("SELECT * FROM upload order by id desc");
                                            while ($rows = $result->fetch_array()) {
                                                $str = $rows['description'];
                                                $abs = substr($str, 0, 100) . "...";
                                                $id_title = $rows['id'];
                                                ?>
                                                <tr>


                                                    <td> 
                                                        <p style="color: blue;">
                                                            <?php echo $rows["title"] ?>
                                                        </p>  
                                                        <p style="font-size: 11px; color: gray;"><?php echo $abs ?></p>
                                                    </td>
                                                </tr>

                                                <?php
                                            }
                                        }
                                        ?>  
                                    </tbody>
                                </table>
                            </div>
                            <!-- End Table with stripped rows -->

                        </div>
                    </div>

                </div>
            </div>


        </section>


        <!-- ======= Footer ======= -->
        <footer class="footer" >
            <div class="copyright">
                &copy; Copyright <strong><span>2022</span> Developed by Tedted</strong>. All Rights Reserved
            </div>
        </footer><!-- End Footer -->

        <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

        <!-- Vendor JS Files -->
        <script src="assets/vendor/bootstrap/js/bootstrap.bundle.js"></script>
        <script src="assets/vendor/php-email-form/validate.js"></script>
        <script src="assets/vendor/quill/quill.min.js"></script>
        <script src="assets/vendor/tinymce/tinymce.min.js"></script>
        <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>
        <script src="assets/vendor/chart.js/chart.min.js"></script>
        <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
        <script src="assets/vendor/echarts/echarts.min.js"></script>

        <!-- Template Main JS File -->
        <script src="assets/js/main.js"></script>
    </body>
</html>